@echo off

rem Check whether the script is running with elevated permissions.
fsutil dirty query > nul
if %ERRORLEVEL% NEQ 0 (
  echo ERROR: the script must be run with elevated permissions.
  echo Right click the script and select "Run as administrator".
  pause
  exit /B 1
)

rem The CMD process architecture determines the 32-bit system folder.
if %PROCESSOR_ARCHITECTURE% == x86 (
  set _32BIT_SYSTEM_FOLDER=%SystemRoot%\System32
) else (
  set _32BIT_SYSTEM_FOLDER=%SystemRoot%\SysWOW64
)

rem Restore the current directory to that of the batch file.
cd /D "%~dp0"


echo Renaming Formats.ini file into Formats_ALL.ini file...
ren Formats.ini Formats_ALL.ini
echo Renaming Formats_OptimFROG_only.ini file into Formats.ini file...
ren Formats_OptimFROG_only.ini Formats.ini

echo Unregistering DCBassSourceMod OptimFROG DirectShow component...
%_32BIT_SYSTEM_FOLDER%\regsvr32.exe -u DCBassSourceMod.ax

set _ERRORLEVEL_SAVED=%ERRORLEVEL%

echo Renaming Formats.ini file into Formats_OptimFROG_only.ini file...
ren Formats.ini Formats_OptimFROG_only.ini
echo Renaming Formats_ALL.ini file into Formats.ini file...
ren Formats_ALL.ini Formats.ini

if %_ERRORLEVEL_SAVED% NEQ 0 (
  echo ERROR: unregistration of DCBassSourceMod.ax file failed.
  pause
  exit /B 1
)

echo:
echo Unregistration is complete.
pause
